Skip to main content
  • Assets are media used in creatives, for example, the background image of a banner ad
  • Upload content for a new Retail Media asset using a form

Endpoints

Verb

Endpoint

Description

POST

/assets

Upload creative asset image file

 

Creative Asset Attributes

id
string
Uploaded asset id
AssetFile
file
required
Value: formatDataThe asset binary content
fileExtension
string
File extension typejpg,png,gif
fileLocation
string
Value: file pathA url pointing towards the static file the asset represents. Uploaded asset is in a draft state available to internal audiences

Upload Image Asset

The endpoint will allow to upload image assets files Sample Request
curl -L -X POST 'https://api.criteo.com/{version}/retail-media/assets' \
-H 'Accept: text/plain' \
-H 'Authorization: Bearer <MY_ACCESS_TOKEN>' \
-F 'AssetFile=@"/C:/Users/<user_profile>/<folder>/Interactive-Header-Background-Image.jpg"'
Sample Response 1
JSON
{
    "data": {
        "attributes": {
            "fileExtension": "jpg",
            "fileLocation": "https://crtormassetmguseprod.blob.core.windows.net/creativeassets-live/c62129d534f3475ba91de6adb54d41faf2d12e4a6c2a17a57dc1efd056a23998.jpg"
        },
        "id": "c62129d534f3475ba91de6adb54d41faf2d12e4a6c2a17a57dc1efd056a23998",
        "type": "RetailMediaAsset"
    },
    "warnings": [],
    "errors": []
}
Sample Response 2
If the image was previously uploaded, a warning will be shown in the response
{
    "data": {
        "attributes": {
            "fileExtension": "jpg",
            "fileLocation": "https://crtormassetmguseprod.blob.core.windows.net/creativeassets-live/0fab8060578680dd895c51b5c2eb8331774fe168338fbb1e3ced85940b013314.jpg"
        },
        "id": "0fab8060578680dd895c51b5c2eb8331774fe168338fbb1e3ced85940b013314",
        "type": "RetailMediaAsset"
    },
    "warnings": [
        {
            "traceIdentifier": "27b6f2813d90b048b4c6d70679ae48ae",
            "type": "validation",
            "code": "asset-already-exists",
            "instance": "/api/{version}/external/assets",
            "title": "Existing asset",
            "detail": "Asset already uploaded with id 0fab8060578680dd895c51b5c2eb8331774fe168338fbb1e3ced85940b013314.jpg",
            "source": null
        }
    ],
    "errors": []
}